image: ubuntu
trigger-root:
    stage: deploy
    script:
        - apt update && apt install -y curl
        - TARGET_BRANCH="$CI_COMMIT_BRANCH"
        - if [[ "$TARGET_BRANCH" = "main" ]]; then
            TARGET_BRANCH="master";
          fi
        - 'curl --fail --request POST --form "variables[ADITO_COMMIT_MESSAGE]=$CI_COMMIT_MESSAGE" --form "token=$PUSH_TRIGGER_TOKEN" --form "ref=$TARGET_BRANCH" "https://gitlab.adito.de/api/v4/projects/676/trigger/pipeline"'
    only:
        - pushes